#ifndef _DRIVER_FILE_H_INCLUDED_
#define _DRIVER_FILE_H_INCLUDED_

/* C̊֐錾 */
extern "C"
{
    struct FileInfo
    {
        int size, addr;
        byte name[24];
    };
}

namespace driver
{
    /* t@CGgNX */
    class FileEntry
    {
    public:
        int   size;
        int   addr;
        char  name[24];
        byte* data;

    public:
        ~FileEntry();
    };

    /* t@C}l[WNX */
    class File
    {
    public:
        static List<FileEntry*>* files;

    public:
        static void init();
        static FileEntry* load(char* file_path);
        static List<FileEntry*>* list();
    };
}

#endif
