#include "../apilib/syscall.h"

#define SCREEN_W 200
#define SCREEN_H 200

static int point[16][2] = {
	{ 196, 100 }, { 187,  61 }, { 164,  29 }, { 129,   9 }, {  90,   5 },
	{  53,  17 }, {  23,  44 }, {   7,  81 }, {   7, 119 }, {  23, 156 },
	{  53, 183 }, {  90, 195 }, { 129, 191 }, { 164, 171 }, { 187, 139 },
	{ 196, 100 }
};

static word color[16] = {
	0x0000, 0x8000, 0x0400, 0x8400, 0x0010, 0x8010, 0x0410, 0xc618,
	0x8410, 0xf800, 0x07e0, 0xffe0, 0x001f, 0xf81f, 0x07ff, 0xffff
};

void HariMain(void)
{
	byte* buffer = (byte *) api_malloc ((SCREEN_W + 12) * (SCREEN_H + 28) * sizeof(short));
	int window = api_openwin(buffer, SCREEN_W + 12, SCREEN_H + 28, -1, "bball");
	
	/* wihԂ */
	api_boxfilwin(window, 6, 22, 200, 200, 0 /*  */);
	
	for (int i = 0; i <= 14; i++) {
		int x0, y0, dis;
		x0 = point[i][0];
		y0 = point[i][1];
		for (int j = i + 1; j <= 15; j++) {
			dis = j - i; /* 2̓_̋ */
			if (dis >= 8)
			dis = 15 - dis; /* tɐ */
			if (dis != 0) {
				api_linewin(window, x0 + 6, y0 + 22, point[j][0] + 6, point[j][1] + 22, color[16 - dis]);
			}
		}
	}
	
	/* ĕ` */
	api_refreshwin(window, 6, 22, 206, 222);
	
	/* c L[ŏI */
	while (api_getkey(0) != 'c');
	
    api_closewin(window);
	api_end();
}
